Bug 822421 - botan-1.11.3 is available
botan-1.11.3 is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: botan (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Moschny
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks: 912367
  Show dependency treegraph
 
Reported: 2012-05-17 06:04 EDT by Upstream Release Monitoring
Modified: 2013-07-25 23:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-25 23:12:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2012-05-17 06:04:35 EDT
Latest upstream release: 1.10.1
Current version in Fedora Rawhide: 1.8.13
URL: http://botan.randombit.net/download.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 1 Upstream Release Monitoring 2012-06-18 03:32:18 EDT
Latest upstream release: 1.10.2
Current version in Fedora Rawhide: 1.8.13
URL: http://botan.randombit.net/download.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 2 Upstream Release Monitoring 2012-07-11 05:41:59 EDT
Latest upstream release: 1.10.3
Current version in Fedora Rawhide: 1.8.13
URL: http://botan.randombit.net/download.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 3 Upstream Release Monitoring 2012-07-21 14:03:10 EDT
Latest upstream release: 1.11.0
Current version in Fedora Rawhide: 1.8.13
URL: http://botan.randombit.net/download.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 4 Sander Hoentjen 2012-09-13 09:37:13 EDT
Hi Thomas,

Will you be updating botan soon?
Comment 5 Thomas Moschny 2012-09-14 06:12:17 EDT
Yes, will do, but for F18 it is too late I guess.

There are three packages that depend on botan:

- monotone
- ne7ssh
- softhsm

I have a patch for monotone, but I didn't test the other two yet. Want to help?
Comment 6 Upstream Release Monitoring 2012-10-31 05:28:47 EDT
Latest upstream release: 1.11.1
Current version in Fedora Rawhide: 1.8.14
URL: http://botan.randombit.net/download.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 7 Upstream Release Monitoring 2013-03-03 05:43:27 EST
Latest upstream release: 1.11.2
Current version in Fedora Rawhide: 1.8.14
URL: http://botan.randombit.net/download.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 8 Upstream Release Monitoring 2013-04-15 06:04:47 EDT
Latest upstream release: 1.11.3
Current version in Fedora Rawhide: 1.8.14
URL: http://botan.randombit.net/download.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 9 Dan Horák 2013-07-17 11:44:22 EDT
Thomas, any progress here? qt-creator needs botan >= 1.10 to build with the system botan library
Comment 10 Thomas Moschny 2013-07-22 09:15:08 EDT
Was hoping for a monotone release, which did not happen yet. But will look into that soon.
Comment 11 Peter Robinson 2013-07-23 18:06:38 EDT
(In reply to Thomas Moschny from comment #10)
> Was hoping for a monotone release, which did not happen yet. But will look
> into that soon.

Can you apply the patch you have for monotone as you've been saying you'll do it soon for 9 months.
Comment 12 Thomas Moschny 2013-07-24 15:13:04 EDT
(In reply to Peter Robinson from comment #11)
> Can you apply the patch you have for monotone as you've been saying you'll
> do it soon for 9 months.

I must have missed the comment where you offered help checking that the other packages depending on Botan work with 1.10.X.

Anyway, here's what I intend to put in rawhide
http://koji.fedoraproject.org/koji/taskinfo?taskID=5652857

And just for the record, monotone now also needs a Lua 5.2 patch.
Comment 13 Peter Robinson 2013-07-24 16:22:14 EDT
> And just for the record, monotone now also needs a Lua 5.2 patch.

Well if that's not applied in rawhide it's broken anyway and shouldn't block the upgrade.
Comment 14 Thomas Moschny 2013-07-25 23:12:42 EDT
Updated to 1.10.5 in rawhide.

Note You need to log in before you can comment on or make changes to this bug.